#ifndef _RDTSCTIMER_H_
#define _RDTSCTIMER_H_

class CRdtscTimer
{
    unsigned __int64 start, end;

    inline static unsigned __int64 _RDTSC()
    {
        _asm    _emit 0x0F
        _asm    _emit 0x31
    }

public:
    inline void Start()
    {
        start = _RDTSC();
    }
    inline unsigned __int64 Stop()
    {
        end = _RDTSC();
        return (end-start);
    }
};

#endif // _RDTSCTIMER_H_
